KPACKAGETOOL5(1)

NAME
kpackagetool5 - Install, list, remove Plasma packages

SYNOPSIS

kpackagetool5
 [-v, --version]
 [-h, --help]
 [--hash path]
 [-g, --global]
 [-t, --type type]
 [-i, --install path]
 [-s, --show name]
 [-u, --upgrade path]
 [-l, --list]
 [--list-types]
 [-r, --remove name]
 [-p, --packageroot path]
 [--generate-index]

DESCRIPTION

kpackagetool5 is a command line tool to install, list, remove Plasma packages.

OPTIONS

-v, --version
    Displays version information.

-h, --help
    Displays this help.

--hash path
    Generate a SHA1 hash for the package at “path”.

-g, --global
    For install or remove, operates on packages installed for all users.

-t, --type type
    The type of package, corresponding to the service type of the package plugin, e.g. KPackage/Generic, Plasma/Theme, Plasma/Wallpaper, Plasma/Applet, etc.

-i, --install path
    Install the package at “path”.

-s, --show name
    Show information of package “name”.

-u, --upgrade path
    Upgrade the package at “path”.

-l, --list
    List installed packages.

--list-types
    Lists all known Package types that can be installed.

-r, --remove name
    Remove the package named “name”.

-p, --packageroot path
    Absolute path to the package root. If not supplied, then the standard data directories for this Plasma session will be searched instead.

--generate-index path
    Recreate the plugin index. To be used in conjunction with either the option -t or -g. Recreates the index for the given type or package root. Operates in the user directory, unless -g is used.

SEE ALSO

More detailed user documentation is available from help:/plasma-desktop (either enter this URL into Konqueror, or run khelpcenter help:/plasma-desktop).

AUTHORS

kpackagetool5 was written by Aaron Seigo <aseigo@kde.org>.